# Uses of Interface
jam.framework.MenuBarFactory

Packages that use MenuBarFactory
Package
Description
jam.console
jam.demo
jam.framework

## Uses of MenuBarFactory in jam.console

Classes in jam.console that implement MenuBarFactory
Modifier and Type
Class
Description
`class`
`ConsoleMenuBarFactory`
Constructors in jam.console with parameters of type MenuBarFactory
Modifier
Constructor
Description
``
`ConsoleApplication(MenuBarFactory menuBarFactory, String nameString, String titleString, String aboutString, Color aboutBackground, Color aboutForeground, Icon icon, boolean dontAskSave)`
``
`ConsoleApplication(MenuBarFactory menuBarFactory, String nameString, String aboutString, Icon icon, boolean dontAskSave)`

## Uses of MenuBarFactory in jam.demo

Classes in jam.demo that implement MenuBarFactory
Modifier and Type
Class
Description
`class`
`DemoMenuBarFactory`
Constructors in jam.demo with parameters of type MenuBarFactory
Modifier
Constructor
Description
``
`DemoApplication(MenuBarFactory menuBarFactory, String nameString, String aboutString, Icon icon)`

## Uses of MenuBarFactory in jam.framework

Classes in jam.framework that implement MenuBarFactory
Modifier and Type
Class
Description
`class`
`DefaultMenuBarFactory`
`class`
`MultiDocMenuBarFactory`
`class`
`SingleDocMenuBarFactory`
Methods in jam.framework that return MenuBarFactory
Modifier and Type
Method
Description
`static MenuBarFactory`
Application.`getMenuBarFactory()`
Methods in jam.framework with parameters of type MenuBarFactory
Modifier and Type
Method
Description
`DocumentFrame`
DocumentFrameFactory.`createDocumentFrame(Application app, MenuBarFactory menuBarFactory)`
Constructors in jam.framework with parameters of type MenuBarFactory
Modifier
Constructor
Description
``
`Application(MenuBarFactory menuBarFactory, String nameString, String titleString, String aboutString, Color aboutBackground, Color aboutForeground, Icon icon, String websiteURLString, String helpURLString)`
``
`Application(MenuBarFactory menuBarFactory, String nameString, String titleString, String aboutString, Icon icon)`
``
`Application(MenuBarFactory menuBarFactory, String nameString, String titleString, String aboutString, Icon icon, String websiteURLString, String helpURLString)`
``
`Application(MenuBarFactory menuBarFactory, String nameString, String aboutString, Icon icon)`
``
`Application(MenuBarFactory menuBarFactory, String nameString, String aboutString, Icon icon, String websiteURLString, String helpURLString)`
``
`MultiDocApplication(MenuBarFactory menuBarFactory, String nameString, String titleString, String aboutString, Color aboutBackground, Color aboutForeground, Icon icon, String websiteURLString, String helpURLString)`
``
`MultiDocApplication(MenuBarFactory menuBarFactory, String nameString, String titleString, String aboutString, Icon icon, String websiteURLString, String helpURLString)`
``
`MultiDocApplication(MenuBarFactory menuBarFactory, String nameString, String aboutString, Icon icon)`
``
`MultiDocApplication(MenuBarFactory menuBarFactory, String nameString, String aboutString, Icon icon, String websiteURLString, String helpURLString)`
``
`SingleDocApplication(MenuBarFactory menuBarFactory, String nameString, String aboutString, Icon icon)`
``
`SingleDocApplication(MenuBarFactory menuBarFactory, String nameString, String aboutString, Icon icon, String websiteURLString, String helpURLString)`